* {
  /* Reset default values globally*/
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --max-target-width: 1280px;
  --window-clearance: 12px;
  --primary-dark: #5e237a;
  --primary-light: #f9e5ff;
}

/*html, body {
  height: 100%;
}*/

body {
  font-family: Roboto, "Helvetica Neue", sans-serif !important;
}

button {
  min-width: 48px;
  padding: 0 12px;
  word-break: normal !important; /*To counter word-break inheritance in product-table*/
  min-height: 30px;
}

@media screen and (max-width: 800px) {
  button {
    min-height: 36px; /*Offer larger click area on mobile and tablet*/
  }
}

.spacer {
  flex: 1 1 auto;
}

/*Needs to be applied globally to have an effect on app-product-table*/
.mat-dialog-container {
  padding: 24px !important;
}
